Library: Editor.js
Overview
xq.Editor manages configurations such as autocompletion and autocorrection, edit mode/normal mode switching, handles editing commands, keyboard shortcuts and other events.

- source: Editor.js

Constructors
Functions
criteria(text)
parameters

| text |

criteria(text)
parameters

| text |

this.contentElement.form.onsubmit()
cancelMousedown(e)
parameters

| e |

finder(node)
parameters

| node |

exitCondition(node)
parameters

| node |

Objects
object this.config
Editor's configuration
Element this.contentElement
Original content element
Document this.doc
Owner document of content element
Element this.body
Body of content element
Object this.currentEditMode
False or 'readonly' means read-only mode, true or 'wysiwyg' means WYSIWYG editing mode, and 'source' means source editing mode.
xq.RichDom this.rdom
RichDom instance
xq.Validator this.validator
Validator instance
Element this.outmostWrapper
Outmost wrapper div
Element this.sourceEditorDiv
Source editor container
Element this.sourceEditorTextarea
Source editor textarea
Element this.wysiwygEditorDiv
WYSIWYG editor container
IFrame this.editorFrame
Design mode iframe
Window this.editorWin
Window that contains design mode iframe
Document this.editorDoc
Document that contained by design mode iframe
Element this.editorBody
Body that contained by design mode iframe
Element this.toolbarContainer
Toolbar container
Array this.toolbarButtons
Toolbar buttons
xq.EditHistory this.editHistory
Undo/redo manager
Generated by JsDoc Toolkit 1.3.1 on Wed, 21 Nov 2007 09:57:34 GMT.